saveModelBin {arf3DS4} | R Documentation

## Save ARF model estimates to a NIFTI file.

### Description

Save ARF model estimates to a NIFTI file. It has several options regarding which regions of the spatial model are saved.

### Usage

    saveModelBin(arfmodel, type = c("full", "pos", "neg", "fpn",
     "separate","sig"))
    saveModelBinSimple(arfmodel)

### Arguments

`arfmodel` | An object of class `model`.
`type` | What to save: `'full'` = Full model (1 file), `'pos+neg'`= positive + negative regions (2 files), `'pos'` = Only positive regions (1 file), `'neg'` = Only negative regions (1 file), `'fpn'` = Full, positive and negative regions (3 files), `'separate'` = Individual files for each region (#R files), `'sig'` = Only significant regions (1 file).

### Details

When `type` is not `'full'`, model predictions are not corrected for overlapping regions.

### Value

Returns a model object.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `writeData`, `fmri.data`

[Package arf3DS4 version 2.5-10 Index]